classification
Title: Miscellaneous fixes for the sunau module
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-09-06 21:24 by serhiy.storchaka, last changed 2013-09-28 20:05 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
sunau.patch serhiy.storchaka, 2013-09-06 21:24 review
sunau.patch serhiy.storchaka, 2013-09-15 09:57 review
Messages (3)
msg197109 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-06 21:24
The proposed patch fixes followed bugs in the sunau module:

1. Au_read.readframes() reads wrong number of frames from multichannel stream.

2. Au_read.readframes() doesn't change current file position.

3. Au_write.writeframesraw() incorrectly updates current file position in a stream with u-Law compression.

4. Au_read.getnframes() returns a float (underporting from Python 2).

5. Au_write incorrectly updates header when it was opened with existing non-empty file object.

New tests proposed in issue18919 expose all these bugs.
msg197760 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-15 09:57
Update patch addresses Ezio's comment.
msg198538 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-28 18:34
New changeset 41ed98a93236 by Serhiy Storchaka in branch '3.3':
Issue #18950: Fix miscellaneous bugs in the sunau module.
http://hg.python.org/cpython/rev/41ed98a93236

New changeset 9e54def97a5e by Serhiy Storchaka in branch 'default':
Issue #18950: Fix miscellaneous bugs in the sunau module.
http://hg.python.org/cpython/rev/9e54def97a5e

New changeset fdbbbc7b40d7 by Serhiy Storchaka in branch '2.7':
Issue #18950: Fix miscellaneous bugs in the sunau module.
http://hg.python.org/cpython/rev/fdbbbc7b40d7
History
Date User Action Args
2013-09-28 20:05:14serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-09-28 18:34:29python-devsetnosy: + python-dev
messages: + msg198538
2013-09-15 09:57:04serhiy.storchakasetfiles: + sunau.patch

messages: + msg197760
2013-09-06 21:25:20serhiy.storchakalinkissue18919 dependencies
2013-09-06 21:24:54serhiy.storchakacreate